#include <iostream>
using namespace std;
int main()
{   int N;
    cin>>N;
    int A[N];
    double P[N],max=0;
        for(int i=0;i<N;i++)
            {
                cin>>A[i]>>P[i];
            }
        for(int i=0;i<N;i++)
            {
                double pdv=p[i];
                int sum=0;
                    for(int j=0;j<N;j++)
                        {
                            if(p[j]>pdv)
                                sum+=pdv*a[j];
                        }
                if(sum>max)
                    max=sum;        
            }
        cout<<sum;    
return 0;
}